// pages/resourcesDetails/resourcesDetails.js
//获取应用实例
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    resourcesId: null,
    resources:{},
  },


  //-------------------------获取资源详情--------------------
  getResources(){
    var that = this;
    wx.request({
      url: app.globalData.myUrl + '/resources/get',
      data: {
        id: that.data.resourcesId
      },
      method: 'GET',
      success: (res) => {
        // console.log(res.data);
        if (res.data.success) {
          that.setData({
            resources: res.data.msg
          })
        }else that.errShowToast(res.data.msg)
      },
      fail: (res) => {},
    })
  },

    //---------------------------函数封装------------------------------
    errShowToast: function (toastText) {
      wx.showToast({
        title: toastText,
        image: '/images/password.png',
        duration: 2000
      });
    },
    sucShowToast: function (toastText) {
      wx.showToast({
        title: toastText,
        duration: 2000
      });
    },


  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      resourcesId: options.id
    });
    // console.log(this.data.resourcesId);
    this.getResources();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})